# Note that this is NOT a relocatable package
%define ver      0.4
%define rel      10
%define prefix   /usr

Summary: A color font rendering library for X11R6.
Name: fnlib
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://www.rasterman.com/pub/enlightenment/libs/fnlib/fnlib-%{ver}.tar.gz
Obsoletes: Fnlib
BuildRoot: /var/tmp/fnlib-%{ver}-root

URL: http://www.rasterman.com/
Docdir: %{prefix}/doc
Requires: imlib

%description
Fnlib is a library that provides full, scalable 24 bit color font 
rendering abilities for the X Window System.

%package devel
Summary: Headers, static libraries and documentation for Fnlib.
Group: Development/Libraries
Requires: fnlib
Obsoletes: Fnlib

%description devel
The fnlib-devel package contains headers, static libraries and
documentation for Fnlib development.

Install fnlib-devel if you want to develop Fnlib applications.

%prep
%setup -q

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc README

%config /etc/fnrc
%{prefix}/lib/lib*.so.*
%{prefix}/share/fnlib_fonts/*

%files devel
%defattr(-, root, root)

#%doc doc/index.html
%doc doc/fontinfo.README

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/include/*

%changelog

* Fri Sep 17 1999 Michael Fulbright <drmike@redhat.com>
- removed 0 length index.html file

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- built against imlib 1.9.3

